Subject: [dispatch] SIP message flow is not so easy (was Re: Against RFC 3891)

From: "Anton Tveretin" <[email-masked]>
Date: Fri, 08 May 2015 02:28:33 +0500

Hello Paul, and All,
>I'm not sure I understand your question. When you say "pick up a call" do you mean:
>
>1) answer the call?
>2) initiate a call that will replace the initial one?
>3) pay for the call?
Certainly, I mean answering a call. But an IP implementation implies replacement of the initial 
SIP dialog (or equivalent) with another one, because a party changes. At first sight, RFC 
3891 message flow seems optimized relative to H.450.5 equivalents.
But this impression is wrong; there are 9 SIP messages either case (RFC 3891 vs. 
draft-worley-sipping-pickup-01 or draft-tveretin-dispatch-remote-00). I could go into details, 
but next time.
Also, I'm not ready to discuss charging. Maybe it is not the business of IETF at all?
Regards, 
Anton.